﻿namespace WebCamTimeLapse
{
    using System;

    class WebCam
    {
        public string Name;
        public string URL;
        public int Interval;
        public string LocalDirectory;
        public DateTime LastCapture;

        public DateTime NextCapture
        {
            get
            {
                return LastCapture.AddMinutes(this.Interval);
            }
        }

        public WebCam(string name, string url, int interval, string localDir)
        {
            this.Name = name;
            this.URL = url;
            this.Interval = interval;
            this.LocalDirectory = localDir;
            this.LastCapture = new DateTime(1970, 1, 1);
        }
    }
}
